<?php
$themename = "SWT Theme";
$shortname = "swt";
$himg_dir = get_bloginfo('template_directory');
$sfirst_img = $himg_dir . '/images/howtoslide.png';
$mx_categories_obj = get_categories('hide_empty=0');
$mx_categories = array();
foreach ($mx_categories_obj as $mx_cat) {
	$mx_categories[$mx_cat->cat_ID] = $mx_cat->cat_name;
}
$categories_tmp = array_unshift($mx_categories, "Выберите рубрику:","Uncategorized" );
$number_entries = array("Количество записей:","1","2","3","4","5","6","7","8","9","10", "12","14", "16", "18", "20" );
$options = array (


array( "name" => $themename." настройки",
       "type" => "title"),

	array(  "name" => "Управление баннерами",
           "type" => "section"),
    array( "type" => "open"),


	array(  "name" => "Включить/Отключить верхний баннер 468x165",
            "id" => $shortname."_topbanner",
            "type" => "select",
            "std" => "Display",
            "options" => array("Отображать", "Скрыть")),

    array( "name" => "Изображение баннера в заголовке",
			"desc" => "Введите ссылку на изображение баннера 468 x 60.",
            "id" => $shortname."_hbannerdagino",
            "std" => "Изображение баннера в заголовке",
            "type" => "text"),

	array("name" => "Ссылка на изображение баннера",
			"desc" => "Введите ссылку на изображение баннера здесь.",
            "id" => $shortname."_hlink",
            "std" => "http://www.simplewpthemes.com",
            "type" => "text"),


   	array(  "name" => "Включить/Отключить баннеры 125x125",
            "id" => $shortname."_banners",
            "type" => "select",
            "std" => "Display",
            "options" => array("Отображать", "Скрыть")),

	array("name" => "Изображение баннера №1",
			"desc" => "Введите ссылку на изображение баннера 125x125.",
            "id" => $shortname."_banner1dagino",
            "std" => "Изображение баннера №1",
            "type" => "text"),

	array("name" => "Ссылка баннера №1",
			"desc" => "Введите ссылку баннера №1 здесь.",
            "id" => $shortname."_link1",
            "std" => "http://www.simplewpthemes.com",
            "type" => "text"),

	array("name" => "Изображение баннера №2",
			"desc" => "Введите ссылку на изображение баннера 125x125.",
            "id" => $shortname."_banner2dagino",
            "std" => "Изображение баннера №2",
            "type" => "text"),

	array("name" => "Ссылка баннера №2",
			"desc" => "Введите ссылку баннера №2 здесь.",
            "id" => $shortname."_link2",
            "std" => "http://www.sremskioglasi.com",
            "type" => "text"),

	array("name" => "Изображение баннера №3",
			"desc" => "Введите ссылку на изображение баннера 125x125.",
            "id" => $shortname."_banner3dagino",
            "std" => "Изображение баннера №3",
            "type" => "text"),

	array("name" => "Ссылка баннера №3",
			"desc" => "Введите ссылку баннера №3 здесь.",
            "id" => $shortname."_link3",
            "std" => "http://www.lacarak.net/forum",
            "type" => "text"),

	array("name" => "Изображение баннера №4",
			"desc" => "Введите ссылку на изображение баннера 125x125.",
            "id" => $shortname."_banner4dagino",
            "std" => "Изображение баннера №4",
            "type" => "text"),

	array("name" => "Ссылка баннера №4",
			"desc" => "Введите ссылку баннера №4 здесь.",
            "id" => $shortname."_link4",
            "std" => "http://www.lacarak.net",
            "type" => "text"),

    array( "type" => "close"),

	

	

array( "name" => "Дополнительные настройки",
       "type" => "section"),
array( "type" => "open"),


 	array(  "name" => "Настройки меню",
            "type" => "heading",
            "desc" => "Здесь Вы можете исключить некоторые ссылки из меню темы.",
         ),

	array(  "name" => "Исключить страницы",
			"desc" => "Здесь Вы можете исключить некоторые страницы из темы (если более двух, разделяйте запятой!).",
            "id" => $shortname."_pages",
            "std" => "",
            "type" => "text"),

	array(  "name" => "Разное",
            "type" => "heading",
            "desc" => "Здесь Вы можете исключить некоторые ссылки из меню темы.",
         ),
 
       array("name" => "Код Google Analytics",
            "desc" => "Введите Ваш код Google Analytics",
            "id" => $shortname."_custom_analytics_code",
            "type" => "textarea",
            "std" => "")
);

function mytheme_add_admin() {

global $themename, $shortname, $options;

if ( $_GET['page'] == basename(__FILE__) ) {

	if ( 'save' == $_REQUEST['action'] ) {

		foreach ($options as $value) {
		update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

foreach ($options as $value) {
	if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

	header("Location: admin.php?page=themeoptions.php&saved=true");
die;

}
else if( 'reset' == $_REQUEST['action'] ) {

	foreach ($options as $value) {
		delete_option( $value['id'] ); }

	header("Location: admin.php?page=themeoptions.php&reset=true");
die;

}
}

      add_theme_page($themename." настройки", "$themename настройки", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_add_init() {

$file_dir=get_bloginfo('template_directory');
wp_enqueue_style("functions", $file_dir."/includes/admin/functions.css", false, "1.0", "all");
wp_enqueue_script("rm_script", $file_dir."/includes/admin/rm_script.js", false, "1.0");

}
function mytheme_admin() {

global $themename, $shortname, $options;
$i=0;

if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки '.$themename.' сохранены.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки '.$themename.' сброшены.</strong></p></div>';

?>
<div class="wrap rm_wrap">
<h2><?php echo $themename; ?> настройки</h2>

<div class="rm_opts">
<form method="post">
<?php foreach ($options as $value) {
switch ( $value['type'] ) {

case "open":
?>

<?php break;

case "close":
?>

</div>
</div>
<br />


<?php break;

case "title":
?>
<p>Используйте меню настроек темы <?php echo $themename;?>, предоставленное ниже. <b>Прочтите README.TXT для дальнейших инструкций!</b></p>


<?php break;

case 'text':
?>

<div class="rm_input rm_text">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
 	<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['std']; } ?>" />
 <small><?php echo $value['desc']; ?></small><div class="clearfix"></div>

 </div>
<?php
break;

case 'textarea':
?>

<div class="rm_input rm_textarea">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
 	<textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id']) ); } else { echo $value['std']; } ?></textarea>
 <small><?php echo $value['desc']; ?></small><div class="clearfix"></div>

 </div>

<?php
break;

case 'select':
?>

<div class="rm_input rm_select">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>

<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
		<option <?php if (get_settings( $value['id'] ) == $option) { echo 'selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?>
</select>

	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
</div>
<?php
break;

case "checkbox":
?>

<div class="rm_input rm_checkbox">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>

<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />


	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
 </div>
<?php break;
case "section":

$i++;

?>

<div class="rm_section">
<div class="rm_title"><h3><img src="<?php bloginfo('template_directory')?>/includes/admin/images/trans.gif" class="inactive" alt="""><?php echo $value['name']; ?></h3><span class="submit"><input name="save<?php echo $i; ?>" type="submit" value="Сохранить" />
</span><div class="clearfix"></div></div>
<div class="rm_options">


<?php break;

}
}
?>

<input type="hidden" name="action" value="Сохранить" />
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Сбросить" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
 </div>


<?php
}
?>
<?php
add_action('admin_init', 'mytheme_add_init');
add_action('admin_menu', 'mytheme_add_admin');
?>